Journal gnushogi & xshogi

Posté par .
Tags : aucun
0
6
déc.
2003
Voilà un moment que je me prends la tête à essayer de lancer xshogi, qui me permettrait de jouer (et d'apprendre au passage) à la version Japonaise du jeu d'échec : le shogi.

J'ai installé les paquets Debian (testing), j'ai même essayé de les recompiler, et rien n'y fait, xshogi refuse de se lancer en disant : « you must have at least gnushogi 1.2p03. » Le truc c'est que j'ai gnushogi-1.3 et xshogi-1.3 installés...

J'ai essayé de lancer « gnushogi -X » ds un term, et de lancer « xshogi -fh locahost -fsp gnushogi » et ça me fait toujours la même chose...

Bref, je commence à craquer là, surtout qu'il n'y a pas l'air d'exister d'équivalent sous Linux au jeu de shogi... quelqu'un sait comment on arrive à faire marcher tout ça ?! J'ai réussi à lancer la version ncurses, mais bon... c'est franchement pas génial, et je dois apprendre tous les coups, la version X a l'air beaucoup plus agréable à utiliser quand-même.
  • # Re: gnushogi & xshogi

    Posté par . Évalué à 1.

    il suffit de lancer xshogi -fsp /chemin/absolu/vers/gnushogi

    Amuse toi bien...
    • [^] # Re: gnushogi & xshogi

      Posté par . Évalué à 1.

      Malheureusement j'ai toujours la même erreur : you must have at least gnushogi-1.2p03 ... je vais essayer de compiler une autre version que la 1.3, peut-être qu'avec la 1.2p03 ça marchera ! Sniff.

      Sinon, faudrait que je vire le check du numéro de version ds le src de xshogi... fo juste que je me souvienne de mes cours de C d'il y a... longtemps ^^
      • [^] # Re: gnushogi & xshogi

        Posté par . Évalué à 1.

        ps j'ai la version de gnushogi qui inclu une version modifie de xshogi
        Je l'avais prise ici : http://www.gnu.org/directory/games/gnushogi.html(...)

        Si mes souvenir, sont bon y a 2 ou 3 trucs a modifier pour que ça compile (on peut carrement enveler les lignes : c'est pour reporter des messages d'erreurs...
      • [^] # Re: gnushogi & xshogi

        Posté par . Évalué à 1.

        En fait, j'ai tout simplement récupéré l'archive debian via un petit « apt-get source gnushogi »

        j'ai modifié le fichier « gnushogi-1.3/xshogi/xshogi.c » en définissant la ligne « int at_least_gnushogi_1_2_p03 = True » au lieu de False, ça me permet de dégager la vérification du numéro de version. Puisque de toute façon les 2 paquets vont être crées de la même source...

        Et ça marche tout bien comme il faut maintenant. La preuve que de base ça marche pas... j'vais mailer les dévs, pour savoir de quoi il retourne.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.